> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Advance Funding

> Advances a Funding object from processing to posted status in the Sandbox environment.



## OpenAPI

````yaml POST /v0/fundings/{id}/advance
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v0/fundings/{id}/advance:
    post:
      tags:
        - Funding
      summary: Advance a Funding (Simulation)
      description: >-
        Advances a Funding object from processing to posted status in the
        Sandbox environment.
      operationId: advance-a-funding-v0
      parameters:
        - name: id
          in: path
          required: true
          example: funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3
          schema:
            type: string
            maxLength: 64
          description: The ID of the funding object to advance.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: >-
            The format of the funding ID is invalid or the funding object is not
            in a processing status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '403':
          description: >-
            Valid access token was not used to call the API or lacks proper
            permissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: >-
            The funding_id passed in is not a valid Funding ID or this endpoint
            is only available in Sandbox.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````